Package jebl.evolution.alignments

# Interface Alignment

All Superinterfaces:
  `Patterns`, `Sequences`

All Known Implementing Classes:
  `BasicAlignment`, `BootstrappedAlignment`, `JackknifedAlignment`, `ResampledAlignment`

public interface Alignment extends Sequences, Patterns

Version:
  $Id: Alignment.java 314 2006-05-03 01:21:14Z alexeidrummond $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`List<Sequence>`
`getSequenceList()`
`int`
`getSiteCount()`

### Methods inherited from interface jebl.evolution.alignments.Patterns

`getPatternCount, getPatternLength, getPatterns, getSequenceType, getTaxa`

### Methods inherited from interface jebl.evolution.sequences.Sequences

`getSequence, getSequences`

## Method Details

### getSequenceList

List<Sequence> getSequenceList()

### getSiteCount

int getSiteCount()